Bug 675104 - Review Request: tweepy - Twitter library for python
Summary: Review Request: tweepy - Twitter library for python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Zhukov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-04 10:39 UTC by Ratnadeep Debnath
Modified: 2013-06-30 19:26 UTC (History)
3 users (show)

Fixed In Version: tweepy-1.8-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-02 04:42:59 UTC
pavel: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Ratnadeep Debnath 2011-02-04 10:39:23 UTC
Spec URL: http://rtnpro.fedorapeople.org/Packages/SPECS/tweepy.spec
SRPM URL: http://rtnpro.fedorapeople.org/Packages/SRPMS/tweepy-1.7.1-1.fc14.src.rpm
Description: A library for accessing the Twitter.com API. Supports OAuth, covers the entire API, and streaming API.

Comment 1 Pavel Zhukov 2011-02-04 18:20:06 UTC
A few comments
- There's also no need to use %{__rm}  for rm command, although there is currently no guideline forbidding it. 
- you've removed BuildRoot section, so you can't push package to EPEL but you haven't removed %clean section (it is not required for F-13 and above http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)
- you should point setuptools in BuildRequired. Because koji build is failed.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Pavel Zhukov 2011-02-04 19:05:27 UTC
Please correct License tag (I can see "MIT" in README and PKG-INFO file, but you point "Python" in License tag). Also all files contain link to LICENSE file, but there is not one in SRPM. 

After that I'll start Review process.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Ratnadeep Debnath 2011-02-05 13:28:27 UTC
I updated the SPEC file for tweepy taking into account the above suggestions. I also did a mock build on my system and it completed successfully. I have uploaded the latest SPEC and SRPM files.

Spec URL: http://rtnpro.fedorapeople.org/Packages/SPECS/tweepy.spec
SRPM URL:
http://rtnpro.fedorapeople.org/Packages/SRPMS/tweepy-1.7.1-2.fc14.src.rpm

Comment 4 Pavel Zhukov 2011-02-05 13:35:09 UTC
I'll review it



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Pavel Zhukov 2011-02-05 14:06:22 UTC
Upstream sources has *py in its name. It's ok
rpmlint output is clean. It's ok

-- Please remove %clean section because F12 is currently unsupported or add BuildRoot tag if you want build package for EPEL

-- Please add python2-devel if you package for Python2 only, python3-devel if you package for Python3 only. A package that has both python2 and python3 files will need to BuildRequire both.
Please see http://fedoraproject.org/wiki/Packaging:Python#BuildRequires

-- Please remove python from BuildRequires because python-devel already has python in deplist

-- Each source file contains point to LICENSE but there is not LICENSE file. So you SHOULD query upstream to include it.See http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text for additional info

-- There's also no need to use %{__rm}  for rm command, although there is
currently no guideline forbidding it. Please replace pointless macros or give reasons to use it.





-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Ratnadeep Debnath 2011-02-05 16:06:09 UTC
(In reply to comment #5)

> -- Please remove %clean section because F12 is currently unsupported or add
> BuildRoot tag if you want build package for EPEL
Currently, I am packaging it only for Fedora. If it is error-free, I will package it for EPEL.

> -- Please add python2-devel if you package for Python2 only, python3-devel if
> you package for Python3 only. A package that has both python2 and python3 files
> will need to BuildRequire both.
> Please see http://fedoraproject.org/wiki/Packaging:Python#BuildRequires
As far as I know, python2-devel doesn't exist in yum repository, there exists python-devel ( for python2) and python3-devel.

> -- Please remove python from BuildRequires because python-devel already has
> python in deplist
done.

> -- Each source file contains point to LICENSE but there is not LICENSE file. So
> you SHOULD query upstream to include it.See
> http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text for
> additional info
There is a LICENSE file in the root of the src dir.
> -- There's also no need to use %{__rm}  for rm command, although there is
> currently no guideline forbidding it.
Do I remove the %{__rm} macro from %install section also?

> Please replace pointless macros or give
> reasons to use it.
Please mention the pointless macros.

Comment 7 Pavel Zhukov 2011-02-05 17:08:48 UTC
>> Please mention the pointless macros.
you can find additional info here: https://bugzilla.redhat.com/show_bug.cgi?id=669311#c9 macros starting with "__" is pointless because they do nothing

>> Do I remove the %{__rm} macro from %install section also?
Yes, you do

>> There is a LICENSE file in the root of the src dir.
I've check twice: There's no LICENSE file in src dir of your SRPM but it is in Git repo. Currently, your package doesn't contain license text but it contain 11 points to this one
    grep -R LICENSE *  | wc -l  
    11
Please contact upstream to clarify this situation (create github's issue, send mail or other). If LICENSE is MIT you can bring LICENSE file as Source1 or Patch (with bug id, mail id in comment) for example, you should add it to %doc list of %files section and I'll aprove tweepy package.

>> As far as I know, python2-devel doesn't exist in yum repository, there exists
python-devel ( for python2) and python3-devel.
Ok.sorry. I think PythonPackaging Guidelines is out-of-date

>> If it is error-free, I will package it for EPEL.
You have to add
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
to your spec file.    


Summary: Please replace pointless macros, add BuildRoot (or remove %clean) and fix LICENSE issue for approving



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Pavel Zhukov 2011-02-18 16:52:51 UTC
change status



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 10 Pavel Zhukov 2011-02-21 12:55:22 UTC
  # MUST: rpmlint must be run on the source rpm and all binary rpms the build  
produces. The output should be posted in the review.[1]
* OK
  # MUST: The package must be named according to the Package Naming Guidelines
* OK
  # MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. [2] .
* OK
# MUST: The package must meet the Packaging Guidelines .
* OK
# MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines .
* OK (MIT)
# MUST: The License field in the package spec file must match the actual
license. [3]
* OK 
# MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.[4]
* OK (MIT_LICENSE from git repo)
# MUST: The spec file must be written in American English. [5]
* OK
# MUST: The spec file for the package MUST be legible. [6]
* OK:
# MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL. 
* OK
# MUST: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. [7]
* OK
# MUST: If the package does not successfully compile
* OK
# MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines
* OK
# MUST: The spec file MUST handle locales properly. 
* N/A
# MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun. [10]
* N/A
# MUST: Packages must NOT bundle copies of system libraries.
* OK
# MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. 
* N/A
# MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. [13]
* OK
# MUST: A Fedora package must not list a file more than once in the spec file's
%files listings. (Notable exception: license texts in specific situations)[14]
* OK
# MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line. [15]
* OK
# MUST: Each package must consistently use macros. [16]
* OK
# MUST: The package must contain code, or permissable content. [17]
* OK
# MUST: Large documentation files must go in a -doc subpackage. (The definition
of large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity). [18]
* OK
# MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present. [18]
* OK
# MUST: Header files must be in a -devel package. [19]
* OK
# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package. [19]
* NA
# MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name}%{?_isa} = 
%{version}-%{release} [21]
* NA
# MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.[20]
* OK 
# MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. If you feel that your packaged GUI application does not need
a .desktop file, you must put a comment in the spec file with your explanation.
[22]
* NA
# MUST: Packages must not own files or directories already owned by other
packages. 
* OK
# MUST: All filenames in rpm packages must be valid UTF-8. [24]
* OK

ACCEPT
This package is approved.

Comment 11 Ratnadeep Debnath 2011-02-23 02:34:42 UTC
New Package SCM Request
=======================
Package Name: tweepy
Short Description: Twitter library for python
Owners: rtnpro
Branches: F-13 F-14
InitialCC: rtnpro

Comment 12 Pavel Zhukov 2011-02-23 07:16:06 UTC
You should change fedora-cvs to ? 

http://fedoraproject.org/wiki/Package_Review_Process#Contributor





-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 13 Jason Tibbitts 2011-02-24 18:28:15 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2011-03-01 05:43:23 UTC
Package tweepy-1.7.1-3.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tweepy-1.7.1-3.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/tweepy-1.7.1-3.fc14
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2011-03-01 05:43:31 UTC
Package tweepy-1.7.1-3.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tweepy-1.7.1-3.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/tweepy-1.7.1-3.fc13
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2011-03-02 01:46:23 UTC
tweepy-1.7.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tweepy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/tweepy-1.7.1-3.fc13

Comment 17 Pavel Zhukov 2011-03-02 04:42:59 UTC
Bug closed. 




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 18 Fedora Update System 2011-04-05 05:20:01 UTC
tweepy-1.7.1-3.fc13 has been pushed to the Fedora 13 stable repository.

Comment 19 Fedora Update System 2011-04-05 05:20:17 UTC
tweepy-1.7.1-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 20 Fedora Update System 2012-02-08 09:53:01 UTC
tweepy-1.8-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/tweepy-1.8-1.fc16

Comment 21 Fedora Update System 2012-03-10 21:50:56 UTC
tweepy-1.8-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2013-06-30 19:26:35 UTC
tweepy-2.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tweepy-2.0-1.fc18

Comment 23 Fedora Update System 2013-06-30 19:26:50 UTC
tweepy-2.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tweepy-2.0-1.fc17

Comment 24 Fedora Update System 2013-06-30 19:26:59 UTC
tweepy-2.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tweepy-2.0-1.fc19


Note You need to log in before you can comment on or make changes to this bug.